org.codehaus.plexus.maven.plugin

## Class PlexusMergeMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractMergeMojo
    - - org.codehaus.plexus.maven.plugin.PlexusMergeMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class PlexusMergeMojo
    extends AbstractMergeMojo

Version:
  $Id: PlexusMergeMojo.java 5741 2007-02-16 21:50:42Z olamy $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusMergeMojo()`

### Method Summary

Methods
`protected File` `getOutput()`
`protected List` `getResources()`

### Methods inherited from class org.codehaus.plexus.maven.plugin.AbstractMergeMojo

`execute`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusMergeMojo

    public PlexusMergeMojo()

### Method Detail

#### getResources

    protected List getResources()

Specified by:
  `getResources` in class `AbstractMergeMojo`

#### getOutput

    protected File getOutput()

Specified by:
  `getOutput` in class `AbstractMergeMojo`